version: '3'
services:

  app:
    container_name: gitea_hat
    restart: always
    build:
      context: .
      dockerfile: Dockerfile
    external_links:
      - mysql
    volumes:
      - /root/gitea:/data 
      - /etc/timezone:/etc/timezone:ro 
      - /etc/localtime:/etc/localtime:ro
    networks:
      - default
      - app_net
    ports:
      - 10082:3000
    depends_on:
      - runner

  runner:
    container_name: my_runner
    image: gitea/act_runner:nightly
    restart: always
    networks:
      - default
      - app_net
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock:rw
    environment:
      GITEA_INSTANCE_URL: 'http://xxxxxx:10082' # 输入服务地址
      GITEA_RUNNER_REGISTRATION_TOKEN: 'xxx' # 需要gitea中runner token 
networks:
  app_net:
    external: true